Packages - Housekeeping #3350

[TODO] Deprecate python2 packages
2022-09-25 08:25 PM - Megver83

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

As you may have noticed, Arch deprecated python2 but we still have python2 packages in our repositories. We should either
deprecate them or add back python2 to our repos. However, since python2 reached its EOL, we should follow Arch's example
instead of including obsolete software, unless there's a very good reason for it.

History

#1 - 2022-09-25 08:45 PM - gap
Duplicate of #3237

#2 - 2022-09-26 02:45 AM - bill-auger

- Status changed from open to duplicate

yes i agree, this one should be closed - we have been tracking python2 dependents and other unsatisfiable packages for over a year, on #3018 and
#3237 (ie: totally saw this coming - it was only a matter of time) - most python2 dependents were ejected from arch at that time; and eli warned us
about it - i wrote to the dev list about this friday, to start a discussion about what to do about them, finally

https://lists.parabola.nu/pipermail/dev/2022-September/008354.html

i planned to update the package list on #3237, one last time - i did not yet; because the script i have been writing for this purpose behaved badly for
'python2’; so that needs some tweaking first - a rough estimate from the (broken) output, is that the total number of packages affected by this is over
100

#3 - 2022-09-26 02:52 AM - bill-auger

just to add though, "obsolete" is the wrong term for this situation, generally - obsolete implies that the software is useless, or that something much
better can replace it - that is not necessarily the case for most of these - probably most of them still work perfectly and may still be useful - so we
actually need to decide which ones are truly useless, replaceable, or broken

2024-04-20 1/1



https://archlinux.org/news/removing-python2-from-the-repositories/
https://labs.parabola.nu/issues/3237
https://labs.parabola.nu/issues/3018
https://labs.parabola.nu/issues/3237
https://lists.parabola.nu/pipermail/dev/2022-September/008354.html
https://labs.parabola.nu/issues/3237
http://www.tcpdf.org

